#include <bits/stdc++.h>
using namespace std;
#define ll long long
vector<int> solve(std::vector<int> A){
ll n =A.size();
vector<int> p;
if(n<=20){
        set<int> s;
        int mn=INT_MAX,mn1=INT_MAX;
        ll gsum=0;
        for(int i=0; i<n; i++){gsum+=A[i];}
        
    for(int m=1; m <(1<<n); m++){
            vector<int> g;
set<int> h;
    ll sum=0,cnt=0,q=n;
    for(int i=n/(n/2); i<n; i++){
            if(sum>=gsum/2) break;
        if((m>>i) & 1){
        sum+=A[i];
        q--; cnt++;
        g.push_back(i);
        h.insert(i);
        }
    }
    if(sum>=gsum/2){
            if(sum<mn){
                mn=sum;
                p=g;
                s=h;
            }
            else if(abs(cnt-q)<mn1){
                p=g;
                mn1=abs(cnt-q);
                s=h;
            }
        }
    }
    for(int i=0; i<n; i++){
        if(!s.count(i)){
            p.push_back(i);
            s.insert(i);
        }
    }
}
return p;
}
